import { JSX } from "solid-js";
import { CSSLength, SizesOptions, SpacingOptions } from "./spacing-constants";
import { HeadlessPropsWithRef, ValidConstructor } from "./typeUtils";
type MinItemWidth = CSSLength | number | SizesOptions | "fit-content" | "max-content" | "min-content" | "auto";
export interface ColumnDropBaseProps {
    gutter?: SpacingOptions;
    minItemWidth?: MinItemWidth;
    noStretchedColumns?: boolean;
}
export type ColumnDropProps<T extends ValidConstructor = "div"> = HeadlessPropsWithRef<T, ColumnDropBaseProps>;
export declare function ColumnDrop<T extends ValidConstructor = "div">(props: Readonly<ColumnDropProps<T>>): JSX.Element;
export {};
