import { JSX } from "solid-js";
import { CSSLength, SizesOptions, SpacingOptions } from "./spacing-constants";
import { HeadlessPropsWithRef, ValidConstructor } from "./typeUtils";
interface ColumnsBaseProps {
    gutter?: SpacingOptions;
    columns?: number;
    switchAt?: number | CSSLength | SizesOptions;
}
export type ColumnsProps<T extends ValidConstructor = "div"> = HeadlessPropsWithRef<T, ColumnsBaseProps>;
export declare function Columns<T extends ValidConstructor = "div">(props: Readonly<ColumnsProps<T>>): JSX.Element;
export interface ColumnBaseProps {
    span?: number;
    offsetStart?: number;
    offsetEnd?: number;
}
export type ColumnProps<T extends ValidConstructor = "div"> = HeadlessPropsWithRef<T, ColumnBaseProps>;
export declare function Column<T extends ValidConstructor = "div">(props: Readonly<ColumnProps<T>>): JSX.Element;
export {};
