import { JSX, JSXElement } from "solid-js";
import { CSSLength, SpacingOptions } from "./spacing-constants";
import { HeadlessPropsWithRef, ValidConstructor } from "./typeUtils";
type MinHeight = CSSLength | number;
interface CoverWrapperBaseProps {
    gutter?: SpacingOptions;
    minHeight?: MinHeight;
    stretchContent?: boolean;
}
export type CoverWrapperProps<T extends ValidConstructor = "div"> = HeadlessPropsWithRef<T, CoverWrapperBaseProps>;
export interface CoverProps {
    top?: JSXElement;
    bottom?: JSXElement;
    children?: JSXElement;
}
export declare function Cover<T extends ValidConstructor = "div">(props: Readonly<CoverWrapperProps<T> & CoverProps>): JSX.Element;
export {};
