import { JSX } from "solid-js";
import { HeadlessPropsWithRef, ValidConstructor } from "./typeUtils";
type RatioString = `${number}/${number}` | `${number} / ${number}`;
type Ratio = [number, number] | RatioString;
export interface FrameBaseProps {
    ratio?: Ratio;
    position?: string;
}
export type FrameProps<T extends ValidConstructor = "div"> = HeadlessPropsWithRef<T, FrameBaseProps>;
export declare function Frame<T extends ValidConstructor = "div">(props: Readonly<FrameProps<T>>): JSX.Element;
export {};
