import { JSX } from "solid-js";
import { SpacingOptions } from "./spacing-constants";
import { HeadlessPropsWithRef, ValidConstructor } from "./typeUtils";
declare const justifyMap: {
    readonly start: "justify:start";
    readonly end: "justify:end";
    readonly center: "justify:center";
};
declare const alignMap: {
    readonly start: "align:start";
    readonly end: "align:end";
    readonly center: "align:center";
    readonly stretch: "align:stretch";
};
export interface InlineClusterBaseProps {
    justify?: keyof typeof justifyMap;
    align?: keyof typeof alignMap;
    gutter: SpacingOptions;
}
export type InlineClusterProps<T extends ValidConstructor = "div"> = HeadlessPropsWithRef<T, InlineClusterBaseProps>;
export declare function InlineCluster<T extends ValidConstructor = "div">(props: Readonly<InlineClusterProps<T>>): JSX.Element;
export {};
