import { JSX } from "solid-js";
import { CSSLength, SizesOptions, SpacingOptions } from "./spacing-constants";
import { HeadlessPropsWithRef, ValidConstructor } from "./typeUtils";
type Stretch = "all" | "start" | "end" | 0 | 1 | 2 | 3 | 4;
type MinItemWidth = CSSLength | number | SizesOptions | "fit-content" | "max-content" | "min-content" | "auto";
declare const justifyMap: {
    readonly start: "justify:start";
    readonly end: "justify:end";
    readonly center: "justify:center";
};
declare const alignMap: {
    readonly start: "align:start";
    readonly end: "align:end";
    readonly center: "align:center";
    readonly stretch: "align:stretch";
};
export interface InlineBaseProps {
    stretch?: Stretch;
    switchAt?: number | CSSLength | SizesOptions;
    justify?: keyof typeof justifyMap;
    align?: keyof typeof alignMap;
    gutter?: SpacingOptions;
    minItemWidth?: MinItemWidth;
}
export type InlineProps<T extends ValidConstructor = "div"> = HeadlessPropsWithRef<T, InlineBaseProps>;
export declare function Inline<T extends ValidConstructor = "div">(props: Readonly<InlineProps<T>>): JSX.Element;
export {};
