import { JSX } from "solid-js";
import { CSSLength, SizesOptions, SpacingOptions } from "./spacing-constants";
import { HeadlessPropsWithRef, ValidConstructor } from "./typeUtils";
type FractionTypes = "auto-start" | "auto-end" | "1/4" | "1/3" | "1/2" | "2/3" | "3/4";
type MinItemWidth = CSSLength | number | SizesOptions | "fit-content" | "max-content" | "min-content" | "auto";
interface SplitBase {
    gutter?: SpacingOptions;
    minItemWidth?: MinItemWidth;
    fraction?: FractionTypes;
    switchAt?: number | CSSLength;
}
export type SplitProps<T extends ValidConstructor = "div"> = HeadlessPropsWithRef<T, SplitBase>;
export declare function Split<T extends ValidConstructor = "div">(props: Readonly<SplitProps<T>>): JSX.Element;
export {};
