import { JSX } from "solid-js";
import { SpacingOptions } from "./spacing-constants";
import { HeadlessPropsWithRef, ValidConstructor } from "./typeUtils";
declare const alignMap: {
    readonly start: "align:start";
    readonly end: "align:end";
    readonly center: "align:center";
    readonly stretch: "align:stretch";
};
export interface StackPropsBase {
    gutter?: SpacingOptions;
    align?: keyof typeof alignMap;
}
export type StackProps<T extends ValidConstructor = "div"> = HeadlessPropsWithRef<T, StackPropsBase>;
export declare function Stack<T extends ValidConstructor = "div">(props: Readonly<StackProps<T>>): JSX.Element;
export {};
